<?php
include("Bi_conteudo_filtroController.php");
if (isset($_GET["mod"]) && ($_GET["mod"] == "salvarFiltro"))
{
	$aInpu= json_decode($_POST["dados"]);
	foreach($aInpu as $input)
	{
		$codigoIdBd = "";
		$listaBi_conteudo_filtro = $bi_conteudo_filtroDAO->buscarFiltro(" where analise = ".$_POST["analise"]." and id_filtro = '".$input->id."' ");
		foreach($listaBi_conteudo_filtro as $filtro)
		{
			$codigoIdBd = $filtro->getCodigo();
		}
		$bi_conteudo_filtro = new Bi_conteudo_filtro();
		$bi_conteudo_filtro->setCodigo($codigoIdBd);
		$bi_conteudo_filtro->setAnalise($_POST["analise"]);
		$bi_conteudo_filtro->setId_filtro($input->id);
		$bi_conteudo_filtro->setTipo($input->tipo);
		$bi_conteudo_filtro->setConteudo($input->valor);
		
		if ($codigoIdBd != "")
		{
			try
			{
				$retorno["mensagem"] = "Salvo com sucesso!";
				$retorno["status"] = true;
				$bi_conteudo_filtroDAO->atualizar($bi_conteudo_filtro);
			}
			catch (Exception  $e)
			{
				$retorno["mensagem"] = $e->getMessage();
				$retorno["status"] = false;
			}
		}
		else
		{
			try
			{
				$retorno["mensagem"] = "Salvo com sucesso!";
				$retorno["status"] = true;
				$bi_conteudo_filtroDAO->salvar($bi_conteudo_filtro);
			}
			catch (Exception  $e)
			{
				$retorno["mensagem"] = $e->getMessage();
				$retorno["status"] = false;
			}
		}
		//echo $input->id." ".$input->valor." - ";
	}
	echo json_encode($retorno);
}